System.memclean()

System.setHigh()

size = 200
zMax = 5
speed = 0.1

width = 480
height = 272

starfield = {}
math.randomseed(os.time())

function createStar(i)
   starfield[i] = {}
   starfield[i].x = math.random(2*width) - width
   starfield[i].y = math.random(2*height) - height
   starfield[i].z = zMax
end

for i = 1, size do
   createStar(i)
   starfield[i].z = math.random(zMax)
end

--fonction centrer texte
function Textecentre(y,string,color)
screen:print( 240 - (string.len(string)*8) / 2 ,y,string,color);
end

t1 = 270
t2 = 300
t3 = 340
t4 = 380
t5 = 400
t6 = 420
t7 = 440
t8 = 460
t9 = 480
t10 = 500
t11 = 520

Text = {}
Text[1] = "F1Dumper & Manager V2.5"
Text[2] = "By Mickael2054"
Text[3] = "********************"
Text[4] = "Thanks:"
Text[5] = "Essgeeaych"
Text[6] = "Devsgen Forums"
Text[7] = "Pspgen Forums"
Text[8] = "XtreamLua"
Text[9] = "To check if a new release is available"
Text[10] = "Press triangle or visit the web site:"
Text[11] = "http://psprevolution.olympe-network.com/"

------------------------------------------------------------------

while true do
   screen:clear()
   
   screen:blit(0,0,screenfree)
   
   for i = 1, size do
      starfield[i].z = starfield[i].z - speed
      if starfield[i].z < speed then createStar(i) end
      x = width / 2 + starfield[i].x / starfield[i].z
      y = height / 2 + starfield[i].y / starfield[i].z
      if x < 0 or y < 0 or x >= width or y >= height then
         createStar(i)
      else
         screen:pixel(x, y, blanc)
      end
   end
         t1 = t1-0.8
		 t2 = t2-0.8
		 t3 = t3-0.8
		 t4 = t4-0.8
		 t5 = t5-0.8
		 t6 = t6-0.8
		 t7 = t7-0.8
		 t8 = t8-0.8
		 t9 = t9-0.8
		 t10 = t10-0.8
		 t11 = t11-0.8		 


Textecentre(t1,Text[1],blanc)
Textecentre(t2,Text[2],blanc)
Textecentre(t3,Text[3],blanc)
Textecentre(t4,Text[4],blanc)
Textecentre(t5,Text[5],blanc)
Textecentre(t6,Text[6],blanc)
Textecentre(t7,Text[7],blanc)
Textecentre(t8,Text[8],blanc)
Textecentre(t9,Text[9],blanc)
Textecentre(t10,Text[10],blanc)
Textecentre(t11,Text[11],blanc)
   
   screen:print(10,262,"Circle : Main menu",blanc)
   screen.waitVblankStart()
   screen.flip()
   
   if t11 <= -5 then
   dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/mainmenu.lua")
   fond = nil
   end

   if Controls.read():circle() then
   dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/mainmenu.lua")
   fond = nil
end
if Controls.read():triangle() then
   System.webbrowser("ms0:/PSP/GAME/F1Dumper & Manager", "http://psprevolution.olympe-network.com/")
   end
end
